Bug 814382 - [abrt] firefox-11.0-2.fc17: _de_casteljau: Process /usr/lib64/firefox/firefox was killed by signal 11 (SIGSEGV)
[abrt] firefox-11.0-2.fc17: _de_casteljau: Process /usr/lib64/firefox/firefox...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:ec200ef79479a764cc93bfae5ad...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 14:11 EDT by Jonathan Kamens
Modified: 2012-06-07 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-07 07:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (234.89 KB, text/plain)
2012-04-19 14:11 EDT, Jonathan Kamens
no flags Details
File: maps (87.91 KB, text/plain)
2012-04-19 14:11 EDT, Jonathan Kamens
no flags Details
File: dso_list (15.89 KB, text/plain)
2012-04-19 14:11 EDT, Jonathan Kamens
no flags Details
File: build_ids (6.53 KB, text/plain)
2012-04-19 14:11 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2012-04-19 14:11:15 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/lib64/firefox/firefox
comment:        Typing a tweet at twitter.com.
core_backtrace: 
crash_function: _de_casteljau
executable:     /usr/lib64/firefox/firefox
kernel:         3.3.2-1.fc17.x86_64
pid:            27981
pwd:            /home/jik
remote_result:  NOTFOUND
time:           Thu 19 Apr 2012 01:59:34 PM EDT
uid:            3009
username:       jik

backtrace:      Text file, 240526 bytes
build_ids:      Text file, 6683 bytes
dso_list:       Text file, 16271 bytes
maps:           Text file, 90016 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jik/1

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:MANPATH=/home/jik/man:/usr/local/share/man:/usr/share/man:/home/jik/man:/usr/local/share/man:/usr/share/man:/usr/man
:NNTPSERVER=jik3.kamens.brookline.ma.us
:XDG_SESSION_ID=1
:HOSTNAME=jik2.kamens.brookline.ma.us
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=27981
:GPG_AGENT_INFO=/run/user/jik/keyring-tO65Mt/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:DESKTOP_STARTUP_ID=gnome-shell-2770-jik2.kamens.brookline.ma.us-firefox-5_TIME81577528
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8410e26ea99d7673240015d34b2a4789-1334775686.532240-2141265918
:PGPPATH=/home/jik/.pgpdata
:GJS_DEBUG_OUTPUT=stderr
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/jik/keyring-tO65Mt
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:IMSETTINGS_MODULE=none
:USER=jik
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:OBAMA_PASS=aplflpy
:SSH_AUTH_SOCK=/run/user/jik/keyring-tO65Mt/ssh
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2455,unix/unix:/tmp/.ICE-unix/2455
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/firefox.desktop
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins-wrapped:/usr/lib64/firefox/plugins-wrapped
:MAIL=/var/mail/jik
:PATH=/home/jik/bin:/home/jik/scripts:/usr/games:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin
:DESKTOP_SESSION=gnome
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:LC_COLLATE=C
:PWD=/home/jik
:XMODIFIERS=@im=none
:EDITOR=emacsclient
:KDE_IS_PRELINKED=1
:LANG=en_US
:KDEDIRS=/usr
:HEBCAL_CITY=Boston
:XSUNSMESIZE=512
:GDMSESSION=gnome
:MAILHOST=jik
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:TEXINPUTS=.:/home/jik/tex:/usr/lib/texmf/tex/language/hebrew:
:XDG_SEAT=seat0
:HOME=/home/jik
:SHLVL=1
:OBAMA_GROUP=JewsforObama
:AUDIOT=/dev/dsp1
:OBAMA_USER=jik-barack@kamens.brookline.ma.us
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=jik
:VISUAL=emacsclient
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-BHXuw1lEGz,guid=0a89822f9b6182ab25a50fad0000002a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/jik
:DISPLAY=:0
:P4CONFIG=.p4conf
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jik-3rPNzQ/database

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95911                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         4294967296           4294967296           bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95911                95911                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     70                   70                   
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/jik/.xsession-errors
:pos:	363087
:flags:	0102002
:2:/home/jik/.xsession-errors
:pos:	363087
:flags:	0102002
:3:/home/jik/.mozilla/firefox/lq6sxowu.default/lazarus.sqlite
:pos:	40
:flags:	02100002
:4:socket:[4224350]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:pipe:[4225618]
:pos:	0
:flags:	00
:8:pipe:[4225618]
:pos:	0
:flags:	04001
:9:socket:[4225619]
:pos:	0
:flags:	02000002
:10:/home/jik/.mozilla/firefox/lq6sxowu.default/.parentlock
:pos:	0
:flags:	0100001
:11:anon_inode:[eventpoll]
:pos:	0
:flags:	02000002
:12:socket:[4224370]
:pos:	0
:flags:	02004002
:13:socket:[4224371]
:pos:	0
:flags:	02000002
:14:pipe:[4224372]
:pos:	0
:flags:	04000
:15:pipe:[4224372]
:pos:	0
:flags:	04001
:16:pipe:[4224373]
:pos:	0
:flags:	04000
:17:pipe:[4224373]
:pos:	0
:flags:	04001
:18:socket:[4224374]
:pos:	0
:flags:	02004002
:19:anon_inode:inotify
:pos:	0
:flags:	02004000
:20:pipe:[4224377]
:pos:	0
:flags:	04000
:21:pipe:[4224377]
:pos:	0
:flags:	04001
:22:/dev/urandom
:pos:	0
:flags:	0100000
:23:socket:[4225635]
:pos:	0
:flags:	02004002
:24:/home/jik/.mozilla/firefox/lq6sxowu.default/cookies.sqlite
:pos:	1131520
:flags:	02100002
:25:/home/jik/.mozilla/firefox/lq6sxowu.default/cookies.sqlite-wal
:pos:	7368
:flags:	02100002
:26:/home/jik/.mozilla/firefox/lq6sxowu.default/cookies.sqlite-shm
:pos:	0
:flags:	0100002
:27:/home/jik/.mozilla/firefox/lq6sxowu.default/cookies.sqlite
:pos:	1024
:flags:	02100002
:28:/home/jik/.mozilla/firefox/lq6sxowu.default/downloads.sqlite
:pos:	78848
:flags:	02100002
:29:/home/jik/.mozilla/firefox/lq6sxowu.default/extensions.sqlite
:pos:	327680
:flags:	02100002
:30:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite
:pos:	507904
:flags:	02100000
:31:socket:[4224394]
:pos:	0
:flags:	02004002
:32:/home/jik/.mozilla/firefox/lq6sxowu.default/permissions.sqlite
:pos:	5120
:flags:	02100002
:33:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite-wal
:pos:	292552
:flags:	02100002
:34:/home/jik/.mozilla/firefox/lq6sxowu.default/addons.sqlite
:pos:	458752
:flags:	02100002
:35:/home/jik/.mozilla/firefox/lq6sxowu.default/search.sqlite
:pos:	40
:flags:	02100002
:36:/home/jik/.mozilla/firefox/lq6sxowu.default/cert8.db
:pos:	229376
:flags:	02100002
:37:/home/jik/.mozilla/firefox/lq6sxowu.default/key3.db
:pos:	8192
:flags:	02100002
:38:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite
:pos:	11370496
:flags:	02100002
:39:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite-wal
:pos:	78312
:flags:	02100002
:40:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite-shm
:pos:	0
:flags:	0100002
:41:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite
:pos:	9089024
:flags:	02100000
:42:/home/jik/.mozilla/firefox/lq6sxowu.default/places.sqlite-wal
:pos:	8272
:flags:	02100002

smolt_data:
:
:
:General
:=================================
:UUID: 9aa48111-c83b-44ff-8d44-2ec6e3aaa25a
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US
:Platform: x86_64
:BogoMIPS: 5242.79
:CPU Vendor: GenuineIntel
:CPU Model: Pentium(R) Dual-Core  CPU      E5300  @ 2.60GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2603
:System Memory: 12018
:System Swap: 0
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.2-1.fc17.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11808:4163:33491) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11809:4163:33491) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:14896:4163:33492) pci, None, SERIAL, 82801JI (ICH10 Family) SMBus Controller
:(32902:14880:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 4 port SATA IDE Controller #1
:(32902:14872:4163:33492) pci, None, PCI/ISA, 82801JIB (ICH10) LPC Interface Controller
:(32902:14886:4163:33492) pci, ata_piix, STORAGE, 82801JI (ICH10 Family) 2 port SATA IDE Controller #2
:(4332:33128:4163:33639) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:14901:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #2
:(32902:9294:4163:33492) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14905:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #6
:(32902:14902:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #3
:(32902:14906:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #1
:(32902:14908:4163:33492) pci, ehci_hcd, USB, 82801JI (ICH10 Family) USB2 EHCI Controller #2
:(4523:24833:4163:33504) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:14912:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 1
:(32902:14920:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 5
:(32902:14910:4163:33658) pci, snd_hda_intel, MULTIMEDIA, 82801JI (ICH10 Family) HD Audio Controller
:(32902:14903:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #4
:(32902:14900:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #1
:(4318:1764:14402:51000) pci, nouveau, VIDEO, G98 [GeForce 8400 GS]
:(32902:14922:4163:33492) pci, pcieport, PCI/PCI, 82801JI (ICH10 Family) PCI Express Root Port 6
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(4332:33129:4997:12570) pci, r8169, ETHERNET, GA311
:(32902:14904:4163:33492) pci, uhci_hcd, USB, 82801JI (ICH10 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_jik2-lv_root / ext4 4096 4096 51150223 14511856 14000017 12804096 12054928 12054928
:/dev/mapper/vg_jik2-lv_share WITHHELD ext4 4096 4096 190312883 186481272 176912114 47849472 47463058 47463058
:/dev/mapper/vg_jik2-lv_root WITHHELD ext4 4096 4096 51150223 14511856 14000017 12804096 12054928 12054928
:/dev/mapper/vg_jik2-lv_root WITHHELD ext4 4096 4096 51150223 14511856 14000017 12804096 12054928 12054928
:/dev/mapper/vg_jik2-lv_root WITHHELD ext4 4096 4096 51150223 14511856 14000017 12804096 12054928 12054928
:/dev/sda1 /boot ext4 1024 1024 202770 82898 72659 51200 50891 50891
:/dev/sdb1 WITHHELD ext4 4096 4096 39020599 13389215 11435611 9773056 8046093 8046093
:/dev/sdb1 WITHHELD ext4 4096 4096 39020599 13389215 11435611 9773056 8046093 8046093
:

var_log_messages:
:Apr 18 10:59:42 jik2 abrt[12349]: Saved core dump of pid 11698 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-04-18-10:59:31-11698 (622444544 bytes)
:Apr 18 11:02:31 jik2 yum[12444]: Installed: firefox-debuginfo-11.0-2.fc17.x86_64
:Apr 19 13:59:42 jik2 abrt[29082]: Saved core dump of pid 27981 (/usr/lib64/firefox/firefox) to /var/spool/abrt/ccpp-2012-04-19-13:59:34-27981 (569286656 bytes)

xsession_errors:
:FoxyProxy settingsDir: /home/jik/.mozilla/firefox/lq6sxowu.default/foxyproxy.xml
:FoxyProxy settingsDir: /home/jik/.mozilla/firefox/lq6sxowu.default/foxyproxy.xml
:FoxyProxy settingsDir: /home/jik/.mozilla/firefox/lq6sxowu.default/foxyproxy.xml
Comment 1 Jonathan Kamens 2012-04-19 14:11:20 EDT
Created attachment 578730 [details]
File: backtrace
Comment 2 Jonathan Kamens 2012-04-19 14:11:22 EDT
Created attachment 578731 [details]
File: maps
Comment 3 Jonathan Kamens 2012-04-19 14:11:24 EDT
Created attachment 578732 [details]
File: dso_list
Comment 4 Jonathan Kamens 2012-04-19 14:11:25 EDT
Created attachment 578733 [details]
File: build_ids
Comment 5 Martin Stransky 2012-05-03 05:48:31 EDT
This is a mass close for automated bug reports. If you still see the problem and/or can reproduce it, please reopen the bug and assign it directly to me.

Thanks!
Comment 6 Jonathan Kamens 2012-05-21 14:52:49 EDT
Firefox has crashed on me multiple times today.

I am on x86_64 with all current updates from F17 including updates-testing.
Comment 7 Martin Stransky 2012-05-22 07:05:03 EDT
Please attach backtrace of the crashes - https://fedoraproject.org/wiki/StackTraces#Firefox
Comment 8 Anil Seth 2012-06-02 03:38:38 EDT
After upgrading from Fedora 16 to Fedora 17 on two x86_64, Firefox 12 crashes even with a small number of tabs. 

However, I downloaded the firefox 12 from Mozilla http://releases.mozilla.org/pub/mozilla.org/firefox/releases/12.0/linux-x86_64/en-US/ and it works perfectly well.
Comment 9 Martin Stransky 2012-06-07 07:39:12 EDT
We don't use ABRT for bugtracking any more, all crashes should be reported at mozilla. However if you can reproduce the bug, please reopen it and assign it directly to me. Thanks!

Note You need to log in before you can comment on or make changes to this bug.